Package org.eclipse.emf.cdo.view

## Interface CDOViewSet

- All Superinterfaces:
    `Notifier`
  All Known Subinterfaces:
    `InternalCDOViewSet`

      public interface CDOViewSet
      extends Notifier

  A `ResourceSet` adapter to associate a set of `CDOView` instances.

  Note: A view set must have exactly one resource set associated. A resource set can have only one view set associated.

  Since:
    2.0
  Author:
    Simon McDuff
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `CDOViewSet.CDOViewSetException` | An unchecked `exception` being thrown from `view sets`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOAdapterPolicy` | `getDefaultClearAdapterPolicy()` |
    `EPackage.Registry` | `getPackageRegistry()` |
    `CDOResourceFactory` | `getResourceFactory()` |
    `ResourceSet` | `getResourceSet()` |
    `CDOView[]` | `getViews()` |
    `CDOView` | `resolveView​(java.lang.String repositoryUUID)` | Deprecated. As of 4.4 use `resolveView(URI)`.
    `CDOView` | `resolveView​(URI viewURI)` |
    `void` | `setDefaultClearAdapterPolicy​(CDOAdapterPolicy defaultClearAdapterPolicy)` |

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### resolveView

          @Deprecated
          CDOView resolveView​(java.lang.String repositoryUUID)

      Deprecated.
      As of 4.4 use `resolveView(URI)`.

    - #### resolveView

          CDOView resolveView​(URI viewURI)

      Since:
        4.4

    - #### getViews

          CDOView[] getViews()

    - #### getResourceFactory

          CDOResourceFactory getResourceFactory()

    - #### getPackageRegistry

          EPackage.Registry getPackageRegistry()

    - #### getResourceSet

          ResourceSet getResourceSet()

    - #### getDefaultClearAdapterPolicy

          CDOAdapterPolicy getDefaultClearAdapterPolicy()

      Since:
        4.12

    - #### setDefaultClearAdapterPolicy

          void setDefaultClearAdapterPolicy​(CDOAdapterPolicy defaultClearAdapterPolicy)

      Since:
        4.12